Skip to main content
POST
/
consumer-loans
/
{loanId}
/
hardship-requests
Submit a hardship request
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/consumer-loans/{loanId}/hardship-requests \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "type": "payment-holiday",
  "reason": "<string>",
  "requestedStartDate": "2023-12-25",
  "requestedEndDate": "2023-12-25"
}
'
{
  "hardshipRequestId": "hdr_01JQ9MS5Z6EV5ZQQFJKM1T0TNQ",
  "loanId": "<string>",
  "type": "payment-holiday",
  "reason": "temporary reduction in income",
  "status": "submitted",
  "submittedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Path Parameters

loanId
string
required

Body

application/json
type
enum<string>
required
Available options:
payment-holiday,
term-extension,
restructure,
temporary-reduction
reason
string
required
requestedStartDate
string<date>
requestedEndDate
string<date>

Response

Hardship request created

hardshipRequestId
string
Example:

"hdr_01JQ9MS5Z6EV5ZQQFJKM1T0TNQ"

loanId
string
type
enum<string>
Available options:
payment-holiday,
term-extension,
restructure,
temporary-reduction
reason
string
Example:

"temporary reduction in income"

status
enum<string>
Available options:
submitted,
under-review,
approved,
declined,
cancelled
submittedAt
string<date-time>